Cannot install Viber

Kernels & Hardware, configuring network, installing services

Cannot install Viber

Postby Grishan Pradhan » 2018-09-30 13:05

after i run the command sudo dpkg -i /myfilepath/viber.deb , it asks for password and after i enter it I get a message: "Username is not in the sudoers file. This incident will be reported."
How do I fix this?
Grishan Pradhan
 
Posts: 21
Joined: 2018-09-30 12:46

Re: Cannot install Viber

Postby fred44nl » 2018-09-30 13:52

open Terminal and give the command "su" (without quotes)
you will be asked to enter the root password.
next you give the command "usermod -aG sudo yourname" (without quotes)
finally you do a reboot.
Debian 9 on Compulab Fitlet2
User avatar
fred44nl
 
Posts: 62
Joined: 2018-07-14 08:54

Re: Cannot install Viber

Postby Grishan Pradhan » 2018-09-30 14:23

It did helped to remove that message(Thak You for that) but now I get the following error:
"Selecting previously unselected package viber.
(Reading database ... 185004 files and directories currently installed.)
Preparing to unpack /home/grishan/viber.deb ...
Unpacking viber (7.0.0.1035) ...
dpkg: dependency problems prevent configuration of viber:

viber depends on libssl1.0.0; however:
Package libssl1.0.0 is not installed.
viber depends on libcurl3; however:
Package libcurl3 is not installed.

dpkg: error processing package viber (--install):
dependency problems - leaving unconfigured
Processing triggers for gnome-menus (3.13.3-9) ...
Processing triggers for desktop-file-utils (0.23-1) ...
Processing triggers for mime-support (3.60) ...
Processing triggers for hicolor-icon-theme (0.15-1) ...
Errors were encountered while processing:
viber"

What to do now?
Grishan Pradhan
 
Posts: 21
Joined: 2018-09-30 12:46

Re: Cannot install Viber

Postby GarryRicketson » 2018-09-30 14:31

Have you read this ? https://wiki.debian.org/DontBreakDebian
It is something that should be read before starting to install random software from random websites.
User avatar
GarryRicketson
 
Posts: 5131
Joined: 2015-01-20 22:16
Location: Durango, Mexico

Re: Cannot install Viber

Postby Grishan Pradhan » 2018-09-30 14:40

GarryRicketson wrote:Have you read this ? https://wiki.debian.org/DontBreakDebian
It is something that should be read before starting to install random software from random websites.

THANKS MATE
But I am not downloading Viber form random website. I am downloading it from its official website and I don't think Viber is a random software.
Grishan Pradhan
 
Posts: 21
Joined: 2018-09-30 12:46

Re: Cannot install Viber

Postby fred44nl » 2018-09-30 14:52

the thing is, that Viber is not part of any Debian repository.
so, you have to download a deb-file and install it.
this could break your system, does not have to, but it could.
may not now, may be later.
so, be carefull :)
Debian 9 on Compulab Fitlet2
User avatar
fred44nl
 
Posts: 62
Joined: 2018-07-14 08:54

Re: Cannot install Viber

Postby Grishan Pradhan » 2018-09-30 14:56

fred44nl wrote:the thing is, that Viber is not part of any Debian repository.
so, you have to download a deb-file and install it.
this could break your system, does not have to, but it could.
may not now, may be later.
so, be carefull :)


I am trying to install from the deb package.But I am getting that error message mention above :mrgreen: :mrgreen:
Grishan Pradhan
 
Posts: 21
Joined: 2018-09-30 12:46

Re: Cannot install Viber

Postby fred44nl » 2018-09-30 15:00

how about " sudo apt-get install libssl"
and "sudo apt-get install libcurl3"
Debian 9 on Compulab Fitlet2
User avatar
fred44nl
 
Posts: 62
Joined: 2018-07-14 08:54

Re: Cannot install Viber

Postby Head_on_a_Stick » 2018-09-30 15:03

You can use gdebi to install .debs, that will install dependencies automatically.

Or
Code: Select all
# apt-get install -f

, which may be quicker than installing several dependencies manually.
User avatar
Head_on_a_Stick
 
Posts: 8009
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Cannot install Viber

Postby Dai_trying » 2018-10-01 07:21

I use apt to install deb files as it can now bring in the dependencies with it, a typical command would be

Code: Select all
apt install ./random_package.deb

(as root or with sudo) just remember to put ./ before the deb-file name.
Dai_trying
 
Posts: 548
Joined: 2016-01-07 12:25

Re: Cannot install Viber

Postby debiman » 2018-10-01 16:26

Grishan Pradhan wrote:
fred44nl wrote:the thing is, that Viber is not part of any Debian repository.
so, you have to download a deb-file and install it.
this could break your system, does not have to, but it could.
may not now, may be later.
so, be carefull :)


I am trying to install from the deb package.But I am getting that error message mention above :mrgreen: :mrgreen:

fred's explanataion might have been misunderstood.
meaning you use a deb package does not necessarily mean it fits your current system.
ubuntu and many other distros also use apt and dpkg.
my guess is, viber relies on versions of libraries that are not available on debian stable!
you now have to uninstall viber & fix the mess.
User avatar
debiman
 
Posts: 2923
Joined: 2013-03-12 07:18

Re: Cannot install Viber

Postby Grishan Pradhan » 2018-10-01 16:46

debiman wrote:
Grishan Pradhan wrote:
fred44nl wrote:the thing is, that Viber is not part of any Debian repository.
so, you have to download a deb-file and install it.
this could break your system, does not have to, but it could.
may not now, may be later.
so, be carefull :)


I am trying to install from the deb package.But I am getting that error message mention above :mrgreen: :mrgreen:

fred's explanataion might have been misunderstood.
meaning you use a deb package does not necessarily mean it fits your current system.
ubuntu and many other distros also use apt and dpkg.
my guess is, viber relies on versions of libraries that are not available on debian stable!
you now have to uninstall viber & fix the mess.



GOT IT!!!
Thank You debiman
Grishan Pradhan
 
Posts: 21
Joined: 2018-09-30 12:46

Re: Cannot install Viber

Postby stevepusser » 2018-10-01 16:48

debiman wrote:
Grishan Pradhan wrote:
fred44nl wrote:the thing is, that Viber is not part of any Debian repository.
so, you have to download a deb-file and install it.
this could break your system, does not have to, but it could.
may not now, may be later.
so, be carefull :)


I am trying to install from the deb package.But I am getting that error message mention above :mrgreen: :mrgreen:

fred's explanataion might have been misunderstood.
meaning you use a deb package does not necessarily mean it fits your current system.
ubuntu and many other distros also use apt and dpkg.
my guess is, viber relies on versions of libraries that are not available on debian stable!
you now have to uninstall viber & fix the mess.


Even debs from the Debian repo will give you similar errors if you use "dpkg -i" and don't have the dependencies installed. That's just how it works with dpkg, and there are probably hundreds of beginner's posts here that ask about exactly the same problem. The answer has always been gdebi, "apt-get install -f", or now apt, too.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kdenlive 18.08.1, Pale Moon 28.1.0, wine-staging 3.17, qBittorrent 4.1.3, Liquorix kernel 4.18-13, Audacity 2.3.0
User avatar
stevepusser
 
Posts: 10008
Joined: 2009-10-06 05:53

Re: Cannot install Viber

Postby GarryRicketson » 2018-10-01 16:56

And that is why I suggested reading the Wiki, "don't Break Debian"
THANKS MATE
But I am not downloading Viber from random website. I am downloading it from its official website and I don't think Viber is a random software.

Your welcome, What I meant is anything that is not from the Debian Repositories, random websites, and software is risky to use, but in some cases can be used safely, they key being to read the documentation, and understand fully what needs to be done to make it usable on Debian.
I had never heard of Viber until now, so can't say much, do they not offer any support for their packages, ? Seems like that would be the place to be asking about installing it, if you downloaded the .deb file from them, you should let them know , it does not install to Debian as expected.
==== edited ======
I was doing some searches , useing the key words "What is Viber ? ",....and stumbled on to this in some of the results,..
https://haydenjames.io/i-refuse-to-sign-up-for-viber-heres-why/
User avatar
GarryRicketson
 
Posts: 5131
Joined: 2015-01-20 22:16
Location: Durango, Mexico

Re: Cannot install Viber

Postby Grishan Pradhan » 2018-10-02 02:10

GarryRicketson wrote:And that is why I suggested reading the Wiki, "don't Break Debian"
THANKS MATE
But I am not downloading Viber from random website. I am downloading it from its official website and I don't think Viber is a random software.

Your welcome, What I meant is anything that is not from the Debian Repositories, random websites, and software is risky to use, but in some cases can be used safely, they key being to read the documentation, and understand fully what needs to be done to make it usable on Debian.
I had never heard of Viber until now, so can't say much, do they not offer any support for their packages, ? Seems like that would be the place to be asking about installing it, if you downloaded the .deb file from them, you should let them know , it does not install to Debian as expected.
==== edited ======
I was doing some searches , useing the key words "What is Viber ? ",....and stumbled on to this in some of the results,..
https://haydenjames.io/i-refuse-to-sign-up-for-viber-heres-why/


Actually Viber is a messenger. Before having Debian installed on my system , I used Lubuntu and I had Viber installed in it and it is one of the software I tend to use frequntly. I installed Debian just a few days ago and I am new to it plus I wanted to install Viber in it but after reading all of your reply I think it is better not to install.
Grishan Pradhan
 
Posts: 21
Joined: 2018-09-30 12:46

Next

Return to System configuration

Who is online

Users browsing this forum: No registered users and 7 guests

fashionable